syntax = "proto3";
option go_package = ".;pb";

//用户扩展数据
message DBUserExpand {
  string id = 1;                 //主键id
  string uid = 2;                //用户id
  int64 lastreadnotiftime = 3;   //最后阅读公告时间
  int64 lastInitdataTime = 4;    //上次初始数据时间
  uint32 initdataCount = 5;      //今日初始累计次数
  int32 chatchannel = 6;         //跨服聊天频道
  int32 modifynameCount = 7;     //修改昵称次数
  map<string, int32> tujian = 8; //图鉴
  int32 activeday = 11;          //日活跃度
  int32 activeweek = 12;         //周活跃度
  string sign = 13;              //用户签名
  int32 friendPoint = 14;        //@go_tags(`bson:"friendPoint"`) 友情点
  int32 friendPointID = 15; //@go_tags(`bson:"friendPointID"`) 每日获赠友情点
  int32 friendPointOD = 16; //@go_tags(`bson:"friendPointOD"`) 每日送出友情点
  int32 loginAddCount = 19; //@go_tasgs(`bson:"loginAddCount"`) 累计登录天数
  int32 loginContinueCount =
      20; //@go_tasgs(`bson:"loginContinueCount"`)  连续登录天数
  bool completePagoda = 21; //@go_tags(`bson:"completePagoda"`) 通关普通塔
  int32 rtaskId = 22; //@go_tags(`bson:"rtaskId"`)  当前完成的随机任务ID
}
